Zum Inhalt

Create unitOfMeasureTranslation

Create a unitOfMeasureTranslation object in Business Central.

HTTP request

Replace the URL prefix for Business Central depending on environment following the guideline.

POST {businesscentralPrefix}/companies({id})/unitOfMeasureTranslationsWebCon

Request headers

Header Value
Authorization Bearer {token}. Required.
Content-Type application/json
If-Match Required. When this request header is included and the eTag provided does not match the current tag on the unit of measure translation value unit of measure translation value translation, the unit of measure translation will not be updated.

Request body

In the request body, supply a JSON representation of unitOfMeasureTranslationWebCon object.

Response

If successful, this method returns 201 Created response code and an unitOfMeasureTranslation object in the response body.

Example

Request

Here is an example of a request.

POST https://{businesscentralPrefix}/companies({id})/unitOfMeasureTranslationsWebCon
Content-type: application/json

{
    "code": "DOSE",
    "languageCode": "ENU",
    "description": "Can",
    "lastModifiedDateTime": "2024-10-09T08:59:48.213Z"
}

Response

Here is an example of the response.

Note

The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.

{    
    "id": "14b8f6b6-1c86-ef11-a0e2-c3c71ac271ae",
    "code": "DOSE",
    "languageCode": "ENU",
    "description": "Can",
    "lastModifiedDateTime": "2024-10-09T08:59:48.213Z"
}

See also

Tips for working with the APIs
unitOfMeasureTranslation
Get unitOfMeasureTranslation
Delete unitOfMeasureTranslation
Update unitOfMeasureTranslation